Kerbal Space Program - Bug #13211

Action Group Actions Missing in All Rover Wheels
11/09/2016 11:16 PM - niklan

Status: Confirmed Start date: 11/09/2016
Severity: Normal % Done: 10%
Assignee:

Category: Controls and Ul

Target version:

Version: 1.21 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

Before the changes to the wheels they had action group actions to enable and disable the motor. These actions are gone now.
Everyone who transported rovers with rockets knows that it is imperative to disable the motors while on rockets or they suck all
electricity or in worse cases their spinning does damage to the vehicle by unintended sudden acceleration if they are on ground.
Please re-add the actions for activate, deactivate and TOGGLE (new, to keep handling of rover wheel motors in line with all other
engines) the rover wheel motors. This is missing for all rover wheel types!

Tested on Windows 7-64bit but guess applies to all systems.

Related issues:
Related to Kerbal Space Program - Bug #15381: Action Group Actions Missing in... Closed 05/27/2017

History

#1 - 11/10/2016 11:08 PM - AlffromKerbal
- Status changed from New to Confirmed

- % Done changed from 0 to 10

| refer to #13034 and confirm statement.

#2 - 11/20/2016 10:13 PM - Azimech
- File screenshot51.png added
I've found them!

And yes, we need these Squad. My Synthesizer/tone generator won't work without them and | was just going to demonstrate a new kind of manual
transmission for cars.

#3 - 11/20/2016 10:14 PM - Azimech
Azimech wrote:

I've found them! Yes, in the MK1 cockpit, see screenshot.

And yes, we need these Squad. My Synthesizer/tone generator won't work without them and | was just going to demonstrate a new kind of
manual transmission for cars.

#4 - 05/28/2017 02:47 PM - swjr-swis

Azimech wrote:

I've found them!

Those actions are about the cockpit 'reaction wheels', and have no relation with the rover wheels.

#5 - 05/28/2017 03:24 PM - swjr-swis
https://bugs.kerbalspaceprogram.com/issues/13034

- File 1804-WheelActionGroupsMissing1.png added
- File 1804-WheelActionGroupsMissing2.png added
- File 1804-WheelActionGroupsMissing3.png added
- File 1804-WheelActionGroupsMissing4.png added
- File 1028-WheelsActionGroups1.png added
- File 1028-WheelsActionGroups2.png added
- File 1028-WheelsActionGroups3.png added
- File 1028-WheelsActionGroups4.png added

1.3.0.1804 Win x64

Back to the actual missing action groups: confirmed to still be missing in 1.3.0.1804.

Added screenshots to show the action groups available now (since 1.1.0), and before (1.0.5), that show a number of actions that used to be available

for powered wheels are now missing:

- several actions for steering (invert/lock/unlock/toggle)
- one action to toggle the motor

#6 - 05/28/2017 03:30 PM - swjr-swis

- Related to Bug #15381: Action Group Actions Missing in All Rover Wheels (solved, please close) added

Files

screenshot51.png
1804-WheelActionGroupsMissing1.png
1804-WheelActionGroupsMissing2.png
1804-WheelActionGroupsMissing3.png
1804-WheelActionGroupsMissing4.png
1028-WheelsActionGroups1.png
1028-WheelsActionGroups2.png
1028-WheelsActionGroups3.png
1028-WheelsActionGroups4.png

04/09/2024

1.05 MB
2.45 MB
2.45 MB
2.45 MB
2.46 MB
2.53 MB
2.51 MB
2.51 MB
2.52 MB

11/20/2016
05/28/2017
05/28/2017
05/28/2017
05/28/2017
05/28/2017
05/28/2017
05/28/2017
05/28/2017

22

Azimech
SWjr-swis
SWjr-swis
SWjr-swis
SWjr-swis
SWjr-swis
SWjr-swis
SWjr-swis

SWjr-swis


http://www.tcpdf.org

